### Method

# Atspi Text set_caret_offset

#### Declaration [src]

    gboolean
    atspi_text_set_caret_offset (
      AtspiText* obj,
      gint new_offset,
      GError** error
    )

#### Description [src]

Moves the text caret to a given position.

#### Parameters

`new_offset`

  Type: `gint`

  The offset to which the text caret is to be moved.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.